For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet a Warehouse Receiving Order by Purchase Order Number (DEPRECATED)
      • POSTCreate Warehouse Receiving Order (DEPRECATED)
      • GETGet Warehouse Receiving Order Box Labels (DEPRECATED)
      • POSTCancel Warehouse Receiving Order (DEPRECATED)
      • GETGet Warehouse Receiving Order (DEPRECATED)
      • GETGet Fulfillment Centers
LogoLogo
API ReferenceReceiving

Get Warehouse Receiving Order (DEPRECATED)

||View as Markdown|
GET
https://sandbox-api.shipbob.com/1.0/receiving/:id
GET
/1.0/receiving/:id
$curl https://sandbox-api.shipbob.com/1.0/receiving/1 \
> -H "Authorization: Bearer <token>"
1{
2 "box_labels_uri": "https://api.shipbob.com/1.0/receiving/1/labels",
3 "box_packaging_type": "EverythingInOneBox",
4 "boxes": [
5 {
6 "arrived_date": "2019-08-24T14:15:22+00:00",
7 "box_id": 0,
8 "box_items": [
9 {
10 "inventory_id": 0,
11 "lot_date": "2019-08-24T14:15:22+00:00",
12 "lot_number": "string",
13 "quantity": 0,
14 "received_quantity": 0
15 }
16 ],
17 "box_number": 0,
18 "box_status": "Awaiting",
19 "counting_started_date": "2019-08-24T14:15:22+00:00",
20 "received_date": "2019-08-24T14:15:22+00:00",
21 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
22 }
23 ],
24 "expected_arrival_date": "2019-08-24T14:15:22+00:00",
25 "fulfillment_center": {
26 "address1": "5900 W Ogden Ave",
27 "address2": "Suite 100",
28 "city": "Cicero",
29 "country": "USA",
30 "email": "example@example.com",
31 "id": 0,
32 "name": "Cicero (IL)",
33 "phone_number": "555-555-5555",
34 "state": "IL",
35 "timezone": "Central Standard Time",
36 "zip_code": "60804"
37 },
38 "id": 0,
39 "insert_date": "2019-08-24T14:15:22+00:00",
40 "last_updated_date": "2019-08-24T14:15:22+00:00",
41 "package_type": "Package",
42 "purchase_order_number": "string",
43 "status": "Awaiting"
44}

This endpoint is deprecated. Please use /2.0/receiving/{id}

Was this page helpful?
Previous

Cancel Warehouse Receiving Order (DEPRECATED)

Next

Get Fulfillment Centers

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idintegerRequired
Id of the receiving order

Response

Success
box_labels_uristring
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenum
Allowed values:
boxeslist of objects
Information about the boxes being shipped in this receiving order
expected_arrival_datedatetime
Expected date that all packages will have arrived
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the warehouse receiving order
insert_datedatetime
Insert date of the receiving order
last_updated_datedatetime
Last date the receiving order was updated
package_typeenum
Allowed values:
purchase_order_numberstring
Purchase order number for a receiving order
statusenum

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error